task vcfstat {
	File vcf
	String sampleName
	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg bgzip ${vcf} -c > ${sampleName}.vcf.gz
		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg index -f vcf ${sampleName}.vcf.gz
		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfstats ${sampleName}.vcf.gz > ${sampleName}_onestats.txt
	>>>

	runtime {
		docker:docker
    	cluster:cluster_config
    	systemDisk:"cloud_ssd 40"
    	dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File vcfnumber="${sampleName}_onestats.txt"
	}
}